SystemOrganization addCategory: #SmallPictureChess!

Object subclass: #Picture
	instanceVariableNames: 'img width height'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SmallPictureChess'!

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 17:00'!
alLado: unaImagen
	"Devuelve una nueva figura poniendo la primera figura al lado de la segunda "
	
	| cad imgFinal  tam|
	tam := img size.
	imgFinal := Array new: tam.
	1 to: img size do: [ :i |  cad := (img at: i), (unaImagen at: i) .
							imgFinal at: i put: cad 						 
					    ].
	^imgFinal! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:25'!
cargar: unaImagen
	
	| arr |
	
	img := unaImagen.
	height := img size.
	
	arr := Bag new.
	img do: [:cad | arr add: (cad size)].
	"Halla el maximo"
	width := arr inject: 0 into: [:a :c | (a > c) ifTrue: [a] ifFalse: [c] ]. 
	! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 17:46'!
encima: unaImagen
	"Devuelve una nueva figura poniendo la primera figura encima de la segunda"
	
	| imgFinal  tam|
	tam := img size.
	imgFinal := Array new: 2*tam.
	1 to: tam do: [ :i |  imgFinal at: i put: (img at: i) ].
	1 to: tam do: [ :i |  imgFinal at: (i + tam) put: (unaImagen at: i) ].
	^imgFinal! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:26'!
esIgual: aPicture
	
	^(img = (aPicture imagen))
! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 16:33'!
espejoHorizontal
	"Devuelve el espejo vertical de la imagen "
	| cad imgInv  tam|
	tam := img size.
	imgInv := Array new: tam.
	1 to: img size do: [ :i |  cad := img at: i.
							imgInv at: (tam - i + 1) put: cad 						 
					    ].
	^imgInv! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 16:06'!
espejoVertical
	"Devuelve el espejo vertical de la imagen "
	| cad cadInv imgInv|
	imgInv := Array new: img size.
	1 to: img size do: [ :i |  cad := img at: i.
							cadInv := ''.  
							cad do:[ :c | cadInv := c asString, cadInv ].
							imgInv at: i put: cadInv 						 
					    ].
	^imgInv! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:27'!
height
	
	^height! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:27'!
imagen

	^img! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:25'!
imprimeMsg
	
	Transcript show: 'Hola soy la clase Picture'; cr.
	! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:26'!
initialize 
	super.
	height := 0.
	width := 0.
	img := nil.
	self imprimeMsg! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:28'!
invertirColor: color
	
		( color = '_' ) ifTrue: [^'='].
		( color = '=' ) ifTrue: [^'_'].
		( color = '.' ) ifTrue: [^'@'].
		( color = '@' ) ifTrue: [^'.'].
		^ color
! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 16:46'!
negativo
	"Devuelve el espejo vertical de la imagen "
	| cad cadInv imgInv|
	imgInv := Array new: img size.
	1 to: img size do: [ :i |  cad := img at: i.
							cadInv := ''.  
							cad do:[ :c | cadInv := cadInv, (self invertirColor: c asString) ].
							imgInv at: i put: cadInv 						 
					    ].
	^imgInv! !

!Picture methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:28'!
width
	
	^width 
! !

Object subclass: #Pieza
	instanceVariableNames: 'casilleroBlanco alfil rey caballo peon torre reyna'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SmallPictureChess'!

!Pieza methodsFor: 'getters' stamp: 'alexz 10/9/2012 00:25'!
alfil
	
	^alfil
	! !

!Pieza methodsFor: 'getters' stamp: 'alexz 10/9/2012 00:25'!
caballo
	^caballo


! !

!Pieza methodsFor: 'as yet unclassified' stamp: 'alexz 10/8/2012 23:57'!
initialize

	alfil := #(  
			  '                                                          ' 
			   '                                                          ' 
			   '                                                          ' 
			   '                                                          ' 
			   '                            ##                            ' 
			   '                          ######                          ' 
			   '                         ###..###                         ' 
			   '                         ##....##                         ' 
			   '                         ##....##                         ' 
			   '                         ###..###                         ' 
			   '                          ######                          ' 
			   '                           ####                           ' 
			   '                         ########                         ' 
			   '                        ###....###                        ' 
			   '                      ####......####                      ' 
			   '                    ####..........####                    ' 
			   '                   ###..............###                   ' 
			   '                  ###................###                  ' 
			   '                 ###..................###                 ' 
			   '                ###.........##.........###                ' 
			   '                ##..........##..........##                ' 
			   '               ###..........##..........###               ' 
			   '               ##...........##...........##               ' 
			   '               ##.......##########.......##               ' 
			   '               ##.......##########.......##               ' 
			   '               ##...........##...........##               ' 
			   '               ##...........##...........##               ' 
			   '               ##...........##...........##               ' 
			   '               ###..........##..........###               ' 
			   '                ##..........##..........##                ' 
			   '                ###....................###                ' 
			   '                 ##....................###                ' 
			   '                 ###..................###                 ' 
			   '                  ###................###                  ' 
			   '                   ####################                   ' 
			   '                   ####################                   ' 
			   '                   ##................##                   ' 
			   '                  ###................###                  ' 
			   '                  ##..................##                  ' 
			   '                  ######################                  ' 
			   '                 ########################                 ' 
			   '                 ###..................###                 ' 
			   '                 #####..............#####                 ' 
			   '                 ########################                 ' 
			   '                      ##############                      ' 
			   '                          ######                          ' 
			   '                        ####..####                        ' 
			   '        ##################......##################        ' 
			   '      ##################..........##################      ' 
			   '    ####..........................................####    ' 
			   '    ###.....................##.....................###    ' 
			   '     ##...................######...................##     ' 
			   '     ###.########.......####  ####.......########.###     ' 
			   '      ####################      ####################      ' 
			   '       ##        #######          #######        ##       ' 
			   '                                                          ' 
			   '                                                          ' 
			   '                                                          '
		 ).		
			
	
	casilleroBlanco := #(
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'  
		   '__________________________________________________________'
	).
	

	rey := #(
						   '                                                          ' 
			   '                                                          ' 
			   '                                                          ' 
			   '                                                          ' 
			   '                           ####                           ' 
			   '                           #..#                           ' 
			   '                           #..#                           ' 
			   '                         ###..###                         ' 
			   '                         #......#                         ' 
			   '                         ###..###                         ' 
			   '                           #..#                           ' 
			   '                           #..#                           ' 
			   '                           #..#                           ' 
			   '                           #..#                           ' 
			   '                           #..#                           ' 
			   '                          ######                          ' 
			   '                         ###..###                         ' 
			   '                         ##....##                         ' 
			   '                        ###....###                        ' 
			   '           #######      ##......##      #######           ' 
			   '         ###########    ##......##    ###########         ' 
			   '       ####.......####  ##......##  ####.......####       ' 
			   '      ###...........######......######...........###      ' 
			   '     ###..............####......####..............###     ' 
			   '     ##................####....####................##     ' 
			   '    ###.................###....###.................###    ' 
			   '    ##...................###..###...................##    ' 
			   '    ##...................###..###...................##    ' 
			   '    ##....................######....................##    ' 
			   '    ##....................######....................##    ' 
			   '    ##.....................####.....................##    ' 
			   '    ###....................####....................###    ' 
			   '     ##.....................##....................###     ' 
			   '     ###....................##....................##      ' 
			   '      ###...................##...................###      ' 
			   '       ###..................##..................###       ' 
			   '        ###...........##############...........###        ' 
			   '         ###.....########################.....###         ' 
			   '          ############..............############          ' 
			   '           ######........................######           ' 
			   '            ##..............................##            ' 
			   '            ##..............................##            ' 
			   '            ##........##############........##            ' 
			   '            ##...########################...##            ' 
			   '            ##########..............##########            ' 
			   '            #####........................#####            ' 
			   '            ##.........############.........##            ' 
			   '            ##....######################....##            ' 
			   '            ##.########............########.##            ' 
			   '            ######......................######            ' 
			   '            ######......................######            ' 
			   '               ########............########               ' 
			   '                  ######################                  ' 
			   '                       ############                       ' 
			   '                                                          ' 
			   '                                                          ' 
			   '                                                          ' 
			   '                                                          '
	
			).
	
	caballo := #(
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '               #         ##                               ' 
				   '              ###       ####                              ' 
				   '              #####     ####                              ' 
				   '               #####   ######                             ' 
				   '               ##.### ###..##                             ' 
				   '               ##..#####...######                         ' 
				   '               ##...####...#########                      ' 
				   '               ##..#####...##...######                    ' 
				   '              ###.###.......#.....######                  ' 
				   '             ###..#.................#####                 ' 
				   '            ###.......................####                ' 
				   '            ##.........................####               ' 
				   '           ###..####....................####              ' 
				   '           ##..####......................####             ' 
				   '           ##..####......................#####            ' 
				   '           ##..###........................####            ' 
				   '          ###..#..............##...........####           ' 
				   '          ##..................##...........####           ' 
				   '          ##..................##............####          ' 
				   '         ###..................##............####          ' 
				   '         ##...................##.............####         ' 
				   '        ###..................###.............####         ' 
				   '       ###..................###..............####         ' 
				   '      ###...................###...............####        ' 
				   '      ##...................####...............####        ' 
				   '     ###.................######...............####        ' 
				   '     ##................####  ##................####       ' 
				   '    ###.##...........####    ##................####       ' 
				   '    ##.###.........####     ###................####       ' 
				   '    ##.###........###       ##.................####       ' 
				   '    ##.##........###       ###.................#####      ' 
				   '    ##......##..###        ##...................####      ' 
				   '    ##.....###.###        ###...................####      ' 
				   '    ###...#######        ###....................####      ' 
				   '     ########.##        ###.....................####      ' 
				   '       #########       ###......................####      ' 
				   '            ###       ###.......................#####     ' 
				   '                     ###........................#####     ' 
				   '                    ###..........................####     ' 
				   '                    ##...........................####     ' 
				   '                   ###...........................####     ' 
				   '                  ###............................####     ' 
				   '                  ##.............................####     ' 
				   '                 ###.............................####     ' 
				   '                 ##..............................####     ' 
				   '                 ##..............................####     ' 
				   '                 ####################################     ' 
				   '                 ####################################     ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          '
											
		).
		
	peon := #(			
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                           ####                           ' 
				   '                         ########                         ' 
				   '                        ###....###                        ' 
				   '                       ###......###                       ' 
				   '                       ##........##                       ' 
				   '                       ##........##                       ' 
				   '                       ##........##                       ' 
				   '                       ##........##                       ' 
				   '                       ###......###                       ' 
				   '                        ###....###                        ' 
				   '                      #####....#####                      ' 
				   '                     ###..........###                     ' 
				   '                    ###............###                    ' 
				   '                    ##..............##                    ' 
				   '                   ###..............###                   ' 
				   '                   ##................##                   ' 
				   '                   ##................##                   ' 
				   '                   ##................##                   ' 
				   '                   ##................##                   ' 
				   '                   ##................##                   ' 
				   '                   ##................##                   ' 
				   '                   ###..............###                   ' 
				   '                    ##..............##                    ' 
				   '                    ###............###                    ' 
				   '                     ####........####                     ' 
				   '                     ####........####                     ' 
				   '                   ####............####                   ' 
				   '                  ###................###                  ' 
				   '                 ###..................###                 ' 
				   '                ###....................###                ' 
				   '               ###......................###               ' 
				   '               ##........................##               ' 
				   '              ###........................###              ' 
				   '              ##..........................##              ' 
				   '             ###..........................###             ' 
				   '             ##............................##             ' 
				   '             ##............................##             ' 
				   '            ###............................###            ' 
				   '            ##..............................##            ' 
				   '            ##..............................##            ' 
				   '            ##..............................##            ' 
				   '            ##..............................##            ' 
				   '            ##################################            ' 
				   '            ##################################            ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          '
			).
			
	
	reyna := #(
							   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                            ##                            ' 
				   '                          ######                          ' 
				   '              #####      ###..###      #####              ' 
				   '             #######     ##....##     #######             ' 
				   '             ##...##     ##....##     ##...##             ' 
				   '             ##...##     ########     ##...##             ' 
				   '    ##       ##...##      ######      ##...##       ##    ' 
				   '  ######     #######        ##        #######     ######  ' 
				   ' ###..###     #####        ####        #####     ###..### ' 
				   ' ##....##       ###        ####        ###       ##....## ' 
				   ' ###...##       ###        ####        ###       ##...### ' 
				   '  #######       ###        ####        ###       #######  ' 
				   '   #####        ####      ######      ####        #####   ' 
				   '     ###        ####      ##..##      ####        ###     ' 
				   '     ####       ####      ##..##      ####       ####     ' 
				   '     ####       #####     ##..##     #####       ####     ' 
				   '     #####      ##.##     ##..##     ##.##      #####     ' 
				   '      #####     ##.##    ###..###    ##.##     #####      ' 
				   '      ##.##    ###.###   ##....##   ###.###    ##.##      ' 
				   '      ##.###   ##...##   ##....##   ##...##   ###.##      ' 
				   '      ##..##   ##...###  ##....##  ###...##   ##..##      ' 
				   '      ##..###  ##....## ###....### ##....##  ###..##      ' 
				   '      ###..##  ##....## ##......## ##....##  ##..###      ' 
				   '       ##..### ##....#####......#####....## ###..##       ' 
				   '       ##...#####.....####......####.....#####...##       ' 
				   '       ##....####.....####......####.....####....##       ' 
				   '       ##....####..#..###..####..###..#..####....##       ' 
				   '       ###....###.######################.###....###       ' 
				   '        ##.################....################.##        ' 
				   '        ##########......................##########        ' 
				   '        ###....................................###        ' 
				   '         ##....................................##         ' 
				   '         ###..................................###         ' 
				   '          ###.......##################.......###          ' 
				   '           ####################################           ' 
				   '            ########..................########            ' 
				   '            ###............................###            ' 
				   '             ##............................##             ' 
				   '             ##......################......##             ' 
				   '             ################################             ' 
				   '             ########................########             ' 
				   '             ##............................##             ' 
				   '            ###.....##################.....###            ' 
				   '            ##################################            ' 
				   '           #########..................#########           ' 
				   '           ##................................##           ' 
				   '           ##................................##           ' 
				   '           #########..................#########           ' 
				   '             ################################             ' 
				   '                    ##################                    ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          '
			).
			
	torre := #(
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                            ##                            ' 
				   '                          ######                          ' 
				   '              #####      ###..###      #####              ' 
				   '             #######     ##....##     #######             ' 
				   '             ##...##     ##....##     ##...##             ' 
				   '             ##...##     ########     ##...##             ' 
				   '    ##       ##...##      ######      ##...##       ##    ' 
				   '  ######     #######        ##        #######     ######  ' 
				   ' ###..###     #####        ####        #####     ###..### ' 
				   ' ##....##       ###        ####        ###       ##....## ' 
				   ' ###...##       ###        ####        ###       ##...### ' 
				   '  #######       ###        ####        ###       #######  ' 
				   '   #####        ####      ######      ####        #####   ' 
				   '     ###        ####      ##..##      ####        ###     ' 
				   '     ####       ####      ##..##      ####       ####     ' 
				   '     ####       #####     ##..##     #####       ####     ' 
				   '     #####      ##.##     ##..##     ##.##      #####     ' 
				   '      #####     ##.##    ###..###    ##.##     #####      ' 
				   '      ##.##    ###.###   ##....##   ###.###    ##.##      ' 
				   '      ##.###   ##...##   ##....##   ##...##   ###.##      ' 
				   '      ##..##   ##...###  ##....##  ###...##   ##..##      ' 
				   '      ##..###  ##....## ###....### ##....##  ###..##      ' 
				   '      ###..##  ##....## ##......## ##....##  ##..###      ' 
				   '       ##..### ##....#####......#####....## ###..##       ' 
				   '       ##...#####.....####......####.....#####...##       ' 
				   '       ##....####.....####......####.....####....##       ' 
				   '       ##....####..#..###..####..###..#..####....##       ' 
				   '       ###....###.######################.###....###       ' 
				   '        ##.################....################.##        ' 
				   '        ##########......................##########        ' 
				   '        ###....................................###        ' 
				   '         ##....................................##         ' 
				   '         ###..................................###         ' 
				   '          ###.......##################.......###          ' 
				   '           ####################################           ' 
				   '            ########..................########            ' 
				   '            ###............................###            ' 
				   '             ##............................##             ' 
				   '             ##......################......##             ' 
				   '             ################################             ' 
				   '             ########................########             ' 
				   '             ##............................##             ' 
				   '            ###.....##################.....###            ' 
				   '            ##################################            ' 
				   '           #########..................#########           ' 
				   '           ##................................##           ' 
				   '           ##................................##           ' 
				   '           #########..................#########           ' 
				   '             ################################             ' 
				   '                    ##################                    ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          ' 
				   '                                                          '	
			).
			
		
	! !

!Pieza methodsFor: 'as yet unclassified' stamp: 'alexz 10/9/2012 00:32'!
mostrarPiezas
	(self torre) do: [:a | Transcript show: a printString; cr].
	(self peon) do: [:a | Transcript show: a printString; cr].
	(self caballo) do: [:a | Transcript show: a printString; cr].
	(self alfil) do: [:a | Transcript show: a printString; cr].
	(self reyna) do: [:a | Transcript show: a printString; cr].
	(self rey) do: [:a | Transcript show: a printString; cr]
	! !

!Pieza methodsFor: 'as yet unclassified' stamp: 'alexz 10/9/2012 00:33'!
mostrarTorre
	(self torre) do: [:a | Transcript show: a printString; cr].
	! !

!Pieza methodsFor: 'getters' stamp: 'alexz 10/9/2012 00:24'!
peon
	^peon
! !

!Pieza methodsFor: 'getters' stamp: 'alexz 10/9/2012 00:23'!
rey 

	^rey
	! !

!Pieza methodsFor: 'getters' stamp: 'alexz 10/9/2012 00:24'!
reyna

	^reyna
	! !

!Pieza methodsFor: 'as yet unclassified' stamp: 'alexz 10/9/2012 00:28'!
showImagen
	self torre do: [:a | Transcript show: a printString; cr]
	! !

!Pieza methodsFor: 'getters' stamp: 'alexz 10/9/2012 00:18'!
torre

	^torre! !

Object subclass: #Ventana
	instanceVariableNames: 'aPicture'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SmallPictureChess'!

!Ventana methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 07:31'!
imprimeMsg
	
	Transcript show: 'Hola soy la clase Ventana'! !

!Ventana methodsFor: 'as yet unclassified' stamp: 'alexz 10/12/2012 11:07'!
initialize 

	self imprimeMsg ! !

TestCase subclass: #PictureTest
	instanceVariableNames: 'aPicture'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SmallPictureChess'!

!PictureTest methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 17:38'!
setUp
	super setUp.
	aPicture := Picture new.
	aPicture cargar: #('#.. '  '##= '  '###@'  ' ###').
	! !

!PictureTest methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 17:40'!
testAlLado

	self assert: ( aPicture alLado: aPicture imagen ) = #('#.. #.. ' '##= ##= ' '###@###@' ' ### ###')! !

!PictureTest methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 17:45'!
testEncima

	self assert: ( aPicture encima: aPicture negativo ) = #('#.. ' '##= ' '###@' ' ###' '#@@ ' '##_ ' '###.' ' ###')! !

!PictureTest methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 17:42'!
testEspejoHorizontal

	self assert: ( aPicture espejoHorizontal ) = #(' ###' '###@' '##= ' '#.. ')! !

!PictureTest methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 17:42'!
testEspejoVertical

	self assert: ( aPicture espejoVertical  ) = #(' ..#' ' =##' '@###' '### ')! !

!PictureTest methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:53'!
testHeight
	
	self assert: ( aPicture height ) = 4.! !

!PictureTest methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 17:41'!
testNegativo

	self assert: ( aPicture negativo  ) = #('#@@ ' '##_ ' '###.' ' ###')! !

!PictureTest methodsFor: 'as yet unclassified' stamp: 'alexz 10/13/2012 15:52'!
testWidth
	
	self assert: ( aPicture width ) = 4.! !
